Subject: iSCSI: CHAP Question

From: "Yao, Xuebin" <[email-masked]>
Date: Thu, 6 Jun 2002 08:45:01 -0700

All,
 
Since now the CHAP will be the MUST for the in-band secured authentication,
I have a question regarding the CHAP RFCs.
In the draft 12-96, it refers to [RFC 1994] for CHAP. However, there are
also [RFC 2433] (MS-CHAP v1) and [RFC 2759] (MS-CHAP v2) which claimed
consistent of [RFC 1994].
Anyone knows if they are compatible or not? Could implementer choose to use
either version, and would that cause interoperability issue?
 
Thanks!

Xuebin

---

From: Steve Senum <[email-masked]>
Date: Thu, 06 Jun 2002 11:12:24 -0500

These are additional algorithms that can be negotiated
with the CHAP_A key, and are not compatible with the algorithm
in RFC 1994.  I don't know if anyone has implemented
them in iSCSI.  RFC 2433 and RFC 2759 are informational,
so there use is optional.

Steve Senum

--------------------------
All,

Since now the CHAP will be the MUST for the in-band secured authentication, I
have a question regarding the CHAP RFCs.

In the draft 12-96, it refers to [RFC 1994] for CHAP. However, there are also
[RFC 2433] (MS-CHAP v1) and [RFC 2759] (MS-CHAP v2)
which claimed consistent of [RFC 1994].

Thanks!